Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.migration
Class RowSetInfo

`java.lang.Object
oracle.jbo.uicli.migration.RowSetInfo`

public class RowSetInfo
extends java.lang.Object

Constructor Summary
`RowSetInfo()`

Method Summary
`void` | `appendToJForm(oracle.adf.dt.objects.jui.JUDTForm jForm)`
`java.lang.String` | `getAttribue(int index)`
`java.lang.String[]` | `getAttrList()`
`int` | `getAttrNum()`
`java.lang.String` | `getFormName()`
`int` | `getRangeSize()`
`java.lang.String` | `getRowSetName()`
`java.lang.String` | `getRowSetSessionName()`
`java.lang.String` | `getViewLinkName()`
`java.lang.String` | `getViewName()`
`java.lang.String` | `getViewUsageName()`
`void` | `printKava(java.io.OutputStream out, java.lang.String startTab)`
`java.lang.String` | `removeQuota(java.lang.String src)`
`void` | `setAttrList(java.lang.String[] aList)`
`void` | `setFormName(java.lang.String name)`
`void` | `setRangeSize(int size)`
`void` | `setRowSetName(java.lang.String name)`
`void` | `setRowSetSessionName(java.lang.String name)`
`void` | `setViewLinkName(java.lang.String masterName)`
`void` | `setViewName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSetInfo

    public RowSetInfo()

Method Detail

### getFormName

    public java.lang.String getFormName()

### setFormName

    public void setFormName(java.lang.String name)

### getRangeSize

    public int getRangeSize()

### setRangeSize

    public void setRangeSize(int size)

### getRowSetName

    public java.lang.String getRowSetName()

### setRowSetName

    public void setRowSetName(java.lang.String name)

### getRowSetSessionName

    public java.lang.String getRowSetSessionName()

### setRowSetSessionName

    public void setRowSetSessionName(java.lang.String name)

### getViewName

    public java.lang.String getViewName()

### getViewUsageName

    public java.lang.String getViewUsageName()

### setViewName

    public void setViewName(java.lang.String name)

### getAttrNum

    public int getAttrNum()

### setAttrList

    public void setAttrList(java.lang.String[] aList)

### getAttribue

    public java.lang.String getAttribue(int index)

### getAttrList

    public java.lang.String[] getAttrList()

### setViewLinkName

    public void setViewLinkName(java.lang.String masterName)

### getViewLinkName

    public java.lang.String getViewLinkName()

### printKava

    public void printKava(java.io.OutputStream out,
                          java.lang.String startTab)

### removeQuota

    public java.lang.String removeQuota(java.lang.String src)

### appendToJForm

    public void appendToJForm(oracle.adf.dt.objects.jui.JUDTForm jForm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.